1 - Product

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 PRODUCT 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until
1.0CURRENT-

OpenAPI URL

https://product.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1.1 - APIs

1.1.1 - List Product Categories

1.1.1.1 - 1.0

get /v1/product-categories

Description

List product categories

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querylimit
optional
LIMIT
Example : 10
integerNone
querypage
optional
Page
Example : 1
integerNone
querydisplay_name
optional
Product Category Name
Example : Networking
array[any of [string, null]][]
querydisplay_name_ko
optional
Product Category Name
Example : Networking
array[any of [string, null]][]
queryis_exposed_menu
optional
Product Category Menu Exposed Status
Example : True
array[any of [boolean, null]][]
querycreated_by
optional
Created by
Example : 김삼성
any of [string, null]None
querymodified_by
optional
Modified by
Example : 김삼성
any of [string, null]None
querycreated_start_date
optional
Created start date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querycreated_end_date
optional
Created end date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querymodified_start_date
optional
Modified start date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querymodified_end_date
optional
Modified end date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querysort
optional
Sort
Example : created_at:asc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKProductCategoryListResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/product-categories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = product 1.0"

Example HTTP response

Response 200

{
    "count": 5,
    "current_page": "",
    "product_categories": [
        {
            "category_id": "NETWORKING",
            "created_at": "2024-01-01T00:00:00",
            "created_by": "5cada9f6afa049418c4f18c0c4859202",
            "display_name": "Networking",
            "display_name_ko": "Networking",
            "icon_file_id": "c1d5c1f63bf24f73b32c37f6f7b50310",
            "is_exposed_menu": "True",
            "modified_at": "2024-01-01T00:00:00",
            "modified_by": "5cada9f6afa049418c4f18c0c4859202",
            "seq": 9,
            "service_group_color_id": "ffff00"
        }
    ],
    "total_count": 5,
    "total_pages": ""
}

1.1.2 - List Products

1.1.2.1 - 1.0

get /v1/products

Description

List products.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querylimit
optional
LIMIT
Example : 10
integerNone
querypage
optional
Page
Example : 1
integerNone
queryproduct_category_id
optional
Product Category ID
Example : NETWORKING
array[any of [string, null]][]
queryproduct_id
optional
Product ID
Example : VPC
array[any of [string, null]][]
querydisplay_name
optional
Product name
Example : VPC
array[any of [string, null]][]
querydisplay_name_ko
optional
Product name
Example : VPC
array[any of [string, null]][]
querykind
optional
Product Kind
Example : PRODUCT
array[any of [string, null]][]
querycreated_start_date
optional
Created start date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querycreated_end_date
optional
Created end date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querymodified_start_date
optional
Modified start date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querymodified_end_date
optional
Modified end date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querysort
optional
Sort
Example : created_at:asc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKProductListResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/products

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = product 1.0"

Example HTTP response

Response 200

{
    "count": 5,
    "current_page": 1,
    "products": [
        {
            "created_at": "2024-01-01T00:00:00",
            "created_by": "5cada9f6afa049418c4f18c0c4859202",
            "display_name": "VPC",
            "display_name_ko": "VPC",
            "kind": "PRODUCT",
            "modified_at": "2024-01-01T00:00:00",
            "modified_by": "5cada9f6afa049418c4f18c0c4859202",
            "product_category_id": "NETWORKING",
            "product_category_name": "Networking",
            "product_id": "VPC"
        }
    ],
    "total_count": 5,
    "total_pages": 1
}

1.1.3 - Show Product

1.1.3.1 - 1.0

get /v1/products/{product_id}

Description

Show product.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathproduct_id
required
Product ID
Example : VPC
stringNone

Responses

HTTP CodeDescriptionSchema
200OKProductResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/products/{product_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = product 1.0"

Example HTTP response

Response 200

{
    "created_at": "2024-01-01T00:00:00",
    "created_by": "5cada9f6afa049418c4f18c0c4859202",
    "display_name": "VPC",
    "display_name_ko": "VPC",
    "kind": "PRODUCT",
    "modified_at": "2024-01-01T00:00:00",
    "modified_by": "5cada9f6afa049418c4f18c0c4859202",
    "product_category_id": "NETWORKING",
    "product_category_name": "Networking",
    "product_id": "VPC"
}

1.1.4 - Show Product category

1.1.4.1 - 1.0

get /v1/product-categories/{category_id}

Description

Show product category.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcategory_id
required
Product Category ID
Example : NETWORKING
stringNone

Responses

HTTP CodeDescriptionSchema
200OKProductCategoryResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/product-categories/{category_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = product 1.0"

Example HTTP response

Response 200

{
    "category_id": "NETWORKING",
    "created_at": "2024-01-01T00:00:00",
    "created_by": "5cada9f6afa049418c4f18c0c4859202",
    "display_name": "Networking",
    "display_name_ko": "Networking",
    "icon_file_id": "c1d5c1f63bf24f73b32c37f6f7b50310",
    "is_exposed_menu": "True",
    "modified_at": "2024-01-01T00:00:00",
    "modified_by": "5cada9f6afa049418c4f18c0c4859202",
    "seq": 9,
    "service_group_color_id": "ffff00"
}

1.2 - Models

1.2.1 - ProductCategoryListResponse

NameDescriptionSchemaDefault
count
optional
Count
Example : 5
any of [integer, null]
current_page
optional

Example :
any of [integer, null]
product_categories
optional
Product Categories
array[ProductCategoryResponse]
total_count
optional

Example : 5
any of [integer, null]
total_pages
optional

Example :
any of [integer, null]

1.2.2 - ProductCategoryResponse

NameDescriptionSchemaDefault
category_id
optional
Product Category ID
Example : NETWORKING
any of [string, null]
created_at
optional
Created date
Example : 2024-01-01T00:00:00
string (date-time)
created_by
optional
Created by
Example : 5cada9f6afa049418c4f18c0c4859202
string
display_name
optional
Product Category Name
Example : Networking
Pattern : [a-zA-Z0-9_\-()\s]{2,30}$
any of [string, null]
display_name_ko
optional
Product Category Name
Example : Networking
Pattern : ^[가-힣a-zA-Z0-9_\-()\s]{2,30}$
any of [string, null]
icon_file_id
optional
Icon File ID
Example : c1d5c1f63bf24f73b32c37f6f7b50310
any of [string, null]
is_exposed_menu
optional
Product Category Menu Exposed Status
Example : True
any of [boolean, null]
modified_at
optional
Modified date
Example : 2024-01-01T00:00:00
string (date-time)
modified_by
optional
Modified by
Example : 5cada9f6afa049418c4f18c0c4859202
string
seq
optional
Seq
Example : 9
any of [integer, null]
service_group_color_id
optional
Service Group Color
Example : ffff00
any of [string, null]

1.2.3 - ProductListResponse

NameDescriptionSchemaDefault
count
optional
Count
Example : 5
any of [integer, null]
current_page
optional
Current page
Example : 1
any of [integer, null]
products
optional
Products
array[ProductResponse]
total_count
optional
Total count
Example : 5
any of [integer, null]
total_pages
optional
Total pages
Example : 1
any of [integer, null]

1.2.4 - ProductResponse

NameDescriptionSchemaDefault
created_at
required
Created date
Example : 2024-01-01T00:00:00
string (date-time)
created_by
required
Created by
Example : 5cada9f6afa049418c4f18c0c4859202
string
display_name
optional
Product name
Example : VPC
any of [string, null]
display_name_ko
optional
Product name
Example : VPC
any of [string, null]
kind
optional
Product Kind
Example : PRODUCT
string
modified_at
required
Modified date
Example : 2024-01-01T00:00:00
string (date-time)
modified_by
required
Modified by
Example : 5cada9f6afa049418c4f18c0c4859202
string
product_category_id
optional
Product Category ID
Example : NETWORKING
any of [string, null]
product_category_name
optional
Product Category Name
Example : Networking
any of [string, null]
product_id
optional
Product ID
Example : VPC
any of [string, null]

2 - STS

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 STS 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until
1.0CURRENT-

OpenAPI URL

https://sts.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

2.1 - APIs

2.1.1 - Acquire temporary role credential

2.1.1.1 - 1.0

post /v1/assume-role

Description

Acquire temporary role credential

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

StsAssumeRoleRequest

Responses

HTTP CodeDescriptionSchema
200OKStsAssumeRoleResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/assume-role

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sts 1.0"

Request body

{
    "duration_seconds": "",
    "role_indicator": "",
    "role_session_name": ""
}

Example HTTP response

Response 200

{
    "assumed_role_user": {
        "assumed_role_id": "",
        "srn": ""
    },
    "credentials": {
        "access_key_id": "",
        "expiration": "2026-02-11T06:44:31.709Z",
        "secret_access_key": "",
        "session_token": ""
    }
}

2.1.2 - Acquire temporary role credential from SAML Assertion

2.1.2.1 - 1.0

post /v1/assume-role-with-saml

Description

Acquire temporary role credential from SAML Assertion

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

StsAssumeRoleWithSAMLRequest

Responses

HTTP CodeDescriptionSchema
200OKStsAssumeRoleWithSAMLResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/assume-role-with-saml

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sts 1.0"

Request body

{
    "duration_seconds": "",
    "principal_indicator": "",
    "role_indicator": "",
    "saml_assertion": ""
}

Example HTTP response

Response 200

{
    "assumed_role_user": {
        "assumed_role_id": "",
        "srn": ""
    },
    "audience": "",
    "credentials": {
        "access_key_id": "",
        "expiration": "2026-02-11T06:44:31.709Z",
        "secret_access_key": "",
        "session_token": ""
    },
    "issuer": "",
    "subject": "",
    "subject_type": ""
}

2.1.3 - Create new Signature based on Session Token

2.1.3.1 - 1.0

post /v1/object-store-authorization

Description

Create new Signature based on Session Token

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

StsObjectStoreAuthRequest

Responses

HTTP CodeDescriptionSchema
200OKStsObjectStoreAuthResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/object-store-authorization

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sts 1.0"

Request body

{
    "method": "",
    "region": "us-east-1",
    "service": "s3",
    "url": "",
    "x_amz_content_sha256": "",
    "x_amz_date": ""
}

Example HTTP response

Response 200

{
    "Authorization": ""
}

2.2 - Models

2.2.1 - StsAssumedRoleUser

NameDescriptionSchemaDefault
assumed_role_id
required
Unique identifier that contains role ID and role session name
Example :
string
srn
required
SRN of temporary security credentials
Example :
string

2.2.2 - StsAssumeRoleRequest

NameDescriptionSchemaDefault
duration_seconds
optional
Duration of seconds of the role session
Example :
integer
role_indicator
required
Identifier of the role to assume. [offering:account_id:role_name]
Example :
string
role_session_name
required
Identifier for the assumed role session
Example :
string

2.2.3 - StsAssumeRoleResponse

NameDescriptionSchemaDefault
assumed_role_user
required
SRN and assumed role ID
StsAssumedRoleUser
credentials
required
Temporary security credentials
StsCredentials

2.2.4 - StsAssumeRoleWithSAMLRequest

NameDescriptionSchemaDefault
duration_seconds
optional
Duration of seconds of the role session
Example :
integer
principal_indicator
required
Identifier of the SAML provider in IAM. [offering:account_id:provider_name]
Example :
string
role_indicator
required
Identifier of the role to assume. [offering:account_id:role_name]
Example :
string
saml_assertion
required
BASE64 encoded SAML response
Example :
string

2.2.5 - StsAssumeRoleWithSAMLResponse

NameDescriptionSchemaDefault
assumed_role_user
required
SRN and assumed role ID
StsAssumedRoleUser
audience
required
Value of Recipient attribute of SubjectConfirmationData element of SAML
Example :
string
credentials
required
Temporary security credentials
StsCredentials
issuer
required
Value of Issuer element of SAML
Example :
string
subject
required
Value of NameID element in the Subject element of SAML
Example :
string
subject_type
required
Format of nameID
Example :
string

2.2.6 - StsCredentials

NameDescriptionSchemaDefault
access_key_id
required
Access key ID that identifies temporary security credentials
Example :
string
expiration
required
Date on which credential expire
Example : 2026-02-11T06:44:31.709Z
string (date-time)
secret_access_key
required
Secret access key that signs requests
Example :
string
session_token
required
Token that user must pass to use temporary credentials
Example :
string

2.2.7 - StsObjectStoreAuthRequest

NameDescriptionSchemaDefault
method
required
HTTP method used in the request
Example :
string
region
optional
Region where the request is made
Example : us-east-1
stringus-east-1
service
optional
Service to which the request is made
Example : s3
strings3
url
required
The URL of the request
Example :
string
x_amz_content_sha256
required
SHA256 hash of the request body
Example :
string
x_amz_date
required
Date and time at which the request is signed
Example :
string

2.2.8 - StsObjectStoreAuthResponse

NameDescriptionSchemaDefault
Authorization
required
Authorization header for object store authentication
Example :
string